Bug 880826 - cupsd.conf does not support BrowseOrder allow,deny; BrowseAllow all but we ship it in /etc/cups/cupsd.conf?
Summary: cupsd.conf does not support BrowseOrder allow,deny; BrowseAllow all but we sh...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: cups
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-27 20:42 UTC by Daniel Walsh
Modified: 2013-02-27 15:55 UTC (History)
2 users (show)

Fixed In Version: cups-1.6.1-23.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-27 15:55:18 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
CUPS Bugs and Features 4157 0 None None None Never

Description Daniel Walsh 2012-11-27 20:42:33 UTC
Also looks like BrowsePoll no longer works.

Comment 1 Jiri Popelka 2012-11-28 09:38:33 UTC
BrowseOrder allow,deny
BrowseAllow all

have been removed from cupsd.conf in forthcoming 1.6.2

Comment 2 Jiri Popelka 2012-11-28 10:05:05 UTC
(In reply to comment #0)
> Also looks like BrowsePoll no longer works.

Yes, that had been intentional upstream change and one of the main reasons we decided to postpone cups-1.6 to Fedora-19.

I'm thinking about filling a separate BZ with all the details as I expect flood of these reports once people start using rawhide.

Comment 3 Daniel Walsh 2012-11-28 16:32:31 UTC
Makes sense to me.  I just wish I could figure a way to print...

Comment 4 Tim Waugh 2012-11-28 16:54:24 UTC
In the meantime you could just tell libcups to talk directly to your office CUPS server:

echo ServerName cups.example.com > ~/.cups/client.conf

Comment 5 Jiri Popelka 2013-02-27 15:55:18 UTC
I've added the STR #4157 fix to cups-1.6.1-23.fc19


Note You need to log in before you can comment on or make changes to this bug.